//////////////////////////////////////////
// WCEditor.cpp
//Copyright (c) 06/30/2022 by ECCSkelton
//////////////////////////////////////////
#include	"WCEditor.h"
#include	"WCEditorProc.h"

////////////////
// WinMain関数
////////////////
int WINAPI wWinMain(HINSTANCE hInstance, HINSTANCE hPrevInstance,
					LPWSTR lpCmdLine, int nCmdShow) {	//ユニコードベース

	//２重起動防止
	if(!WCEditor.IsOnlyOne()) {
		HWND hWnd = FindWindowW(L"MainWnd", L"WCEditor");
		if(IsIconic(hWnd))
			ShowWindow(hWnd, SW_RESTORE);
		SetForegroundWindow(hWnd);
		return 0L;
	}

	//ウィンドウ登録 − Init(ClassName, hInstance, "IDM_MAIN",
	//						（以下省略可）"IDI_ICON"−これをLPWSTRにした, IDC_ARROW, Brush)
	WCEditor.Init(L"MainWnd", hInstance, L"IDM_MAIN", L"IDI_ICON");

	//ウィンドウ作成と表示−Create(WindowTitle, (以下省略可）Style,
	//						ExStyle, hParent, hMenu, x, y, w, h)
	if(!WCEditor.Create(L"WCEditor"))
		return 0L;

	//メッセージループに入る
	return WCEditor.Loop();
}
